# Input
HEADERS +=  include/arglib/argfile.h \
            include/arglib/argfilereader.h \
            include/arglib/wsfile.h \
            include/arglib/argfilehelper.h \
            include/arglib/quote.h \
            include/arglib/argfileparser.h \
            include/arglib/argfiletoken.h \
            include/unvhistlib/md5generator.h \
            include/unvhistlib/summary.h \
            include/unvhistlib/xmlit.h \
            include/unvhistlib/md5.h \
            include/unvhistlib/validationqueue.h \
            include/unvhistlib/inflater.h \
            include/unvhistlib/summaryreader.h \
            include/unvhistlib/tags.h \
            include/unvhistlib/fileiterator.h \
            include/unvhistlib/summarycreator.h \
            include/unvhistlib/extractionqueue.h \
            include/unvhistlib/vhistparser.h \
            include/unvhistlib/validator.h \
            include/vhistaddlib/vhistrunner.h \
            include/vhistaddlib/vhistaddrunner.h \
            include/vhistaddlib/vhistdelrunner.h \
            include/vhistdifflib/costmatrix.h \
            include/vhistdifflib/diffdefines.h \
            include/vhistdifflib/dijkstra.h \
            include/vhistdifflib/path.h \
            include/vhistdifflib/pathexpander.h \
            include/vhistdifflib/priorityqueue.h \
            include/vhistdifflib/priorityqueue.tpl \
            include/vhistdifflib/tempvhistfile.h \
            include/vhistdifflib/vhistdiff.h \
            include/vhistdifflib/vhistdiffresult.h \
            include/vhistdifflib/vhistfilemanager.h \
            include/vhistdifflib/workflowstepcosts.h \
            include/vhistdifflib/workflowtree.h \
            include/vhistdifflib/workflowtreenode.h \
            include/shared/stopwatch.h \
            include/shared/logsource.h \
            include/shared/utils.h \
            include/shared/constants.h \
            include/vhistfindlib/returnvalue.h \
            include/vhistfindlib/parsequery.h \
            include/vhistfindlib/expressionvalue.h \
            include/vhistfindlib/expressiontreenode.h \
            include/vhistfindlib/evaloperators.h \
            include/shared/misc_defines.h \
            include/shared/maybe.tpl \
            include/vhistfindlib/queryerror.h \
            include/vhistfindlib/checkquerytypes.h \
            include/vhistfindlib/checkoperatortypes.h \
            include/vhistfindlib/operatorinfo.h \
            include/vhistfindlib/constructcnf.h \
            include/vhistfindlib/cnf.h \
            include/vhistfindlib/evaluatecnf.h \
            include/vhistfindlib/vhistfindquery.h


SOURCES +=  src/arglib/argfile.cpp \
            src/arglib/argfilereader.cpp \
            src/arglib/wsfile.cpp \
            src/arglib/argfilehelper.cpp \
            src/arglib/quote.cpp \
            src/arglib/argfileparser.cpp \
            src/arglib/argfiletoken.cpp \
            src/unvhistlib/summarycreator.cpp \
            src/unvhistlib/summaryreader.cpp \
            src/unvhistlib/validator.cpp \
            src/unvhistlib/extractionqueue.cpp \
            src/unvhistlib/fileiterator.cpp \
            src/unvhistlib/md5generator.cpp \
            src/unvhistlib/validationqueue.cpp \
            src/unvhistlib/vhistparser.cpp \
            src/unvhistlib/summary.cpp \
            src/unvhistlib/md5c.c \
            src/unvhistlib/inflater.cpp \
            src/unvhistlib/tags.cpp \
            src/unvhistlib/xmlit.cpp \
            src/vhistdifflib/costmatrix.cpp \
            src/vhistdifflib/path.cpp \
            src/vhistdifflib/pathexpander.cpp \
            src/vhistdifflib/tempvhistfile.cpp \
            src/vhistdifflib/vhistdiff.cpp \
            src/vhistdifflib/vhistdiffresult.cpp \
            src/vhistdifflib/vhistfilemanager.cpp \
            src/vhistdifflib/workflowstepcosts.cpp \
            src/vhistdifflib/workflowtree.cpp \
            src/vhistdifflib/workflowtreenode.cpp \
            src/vhistaddlib/vhistrunner.cpp \
            src/vhistaddlib/vhistaddrunner.cpp \
            src/vhistaddlib/vhistdelrunner.cpp \
            src/shared/stopwatch.cpp \
            src/shared/logsource.cpp \
            src/shared/utils.cpp \
            src/vhistfindlib/returnvalue.cpp \
            src/vhistfindlib/parsequery.cpp \
            src/vhistfindlib/expressionvalue.cpp \
            src/vhistfindlib/evaloperators.cpp \
            src/vhistfindlib/queryerror.cpp \
            src/vhistfindlib/checkquerytypes.cpp \
            src/vhistfindlib/checkoperatortypes.cpp \
            src/vhistfindlib/expressiontreenode.cpp \
            src/vhistfindlib/operatorinfo.cpp \
            src/vhistfindlib/constructcnf.cpp \
            src/vhistfindlib/cnf.cpp \
            src/vhistfindlib/evaluatecnf.cpp \
            src/vhistfindlib/vhistfindquery.cpp \
    src/shared/constants.cpp
