
# Input
HEADERS += \
    shared/constants.h \
    shared/helpviewer.h \
    shared/managedwindow.h \
    shared/opendispatcher.h \
    shared/sharedmenu.h \
    shared/utilities.h \
    shared/vhistglobals.h \
    shared/vsettings.h \
    shared/windowlist.h \
    unvhist/extractdialog.h \
    unvhist/hellomessage.h \
    unvhist/outlinetree.h \
    unvhist/parsetemplate.h \
    unvhist/preferences.h \
    unvhist/unvhistpreferenceswindow.h \
    unvhist/unvhistwindow.h \
    unvhist/vhistbrowser.h \
    vhistez/exporttabcontextmenu.h \
    vhistez/filelistitem.h \
    vhistez/guiwindow.h \
    vhistez/inouttabcontextmenu.h \
    vhistez/lock.h \
    vhistez/lockall.h \
    vhistez/locknone.h \
    vhistez/quote.h \
    vhistez/maintabcontextmenu.h \
    vhistez/mainwindow.h \
    vhistez/mimetypes.h \
    vhistez/vhistfilestabcontextmenu.h \
    vhistez/fileitemhelper.h \
    vhistit/vhistaddrunner.h \
    vhistit/vhistaddthread.h \
    vhistit/vhistitwindow.h \
    unvhist/elidedlabel.h \
    unvhist/maketree.h \
    vhistfind/vhistfindwindow.h \
    shared/recentfiles.h \
    shared/windowtype.h \
    shared/registerwindows.h \
    vhistfind/vhistfinder.h \
    vhistfind/queryeditor.h \
    vhistfind/querytextfield.h \
    vhistfind/queryhighlighter.h \
    vhistfind/vhistfindhellomessage.h \
    shared/argfilehighlighter.h \
    shared/findtextbrowser/findbar.h \
    shared/findtextbrowser/findedit.h \
    shared/findtextbrowser/findtextbrowser.h \
    shared/findtextbrowser/searchhighlighter.h


FORMS += \
    unvhist/extract.ui \
    unvhist/unvhist.ui \
    unvhist/unvhistpreferences.ui \
    vhistez/vhistez.ui \
    vhistit/vhistit.ui \
    vhistfind/vhistfindwindow.ui

SOURCES += \
    shared/constants.cpp \
    shared/helpviewer.cpp \
    shared/managedwindow.cpp \
    shared/opendispatcher.cpp \
    shared/recentfiles.cpp \
    shared/sharedmenu.cpp \
    shared/utilities.cpp \
    shared/vsettings.cpp \
    shared/windowlist.cpp \
    unvhist/extractdialog.cpp \
    unvhist/hellomessage.cpp \
    unvhist/outlinetree.cpp \
    unvhist/parsetemplate.cpp \
    unvhist/preferences.cpp \
    unvhist/unvhistpreferenceswindow.cpp \
    unvhist/unvhistwindow.cpp \
    unvhist/vhistbrowser.cpp \
    vhistez/exporttabcontextmenu.cpp \
    vhistez/quote.cpp \
    vhistez/guiwindow.cpp \
    vhistez/inouttabcontextmenu.cpp \
    vhistez/lockall.cpp \
    vhistez/locknone.cpp \
    vhistez/maintabcontextmenu.cpp \
    vhistez/mainwindow.cpp \
    vhistez/mimetypes.cpp \
    vhistez/vhistfilestabcontextmenu.cpp \
    vhistez/fileitemhelper.cpp \
    vhistit/vhistaddrunner.cpp \
    vhistit/vhistaddthread.cpp \
    vhistit/vhistitwindow.cpp \
    unvhist/elidedlabel.cpp \
    unvhist/maketree.cpp \
    vhistfind/vhistfindwindow.cpp \
    shared/windowtype.cpp \
    shared/registerwindows.cpp \
    vhistfind/vhistfinder.cpp \
    vhistfind/queryeditor.cpp \
    vhistfind/querytextfield.cpp \
    vhistfind/queryhighlighter.cpp \
    vhistfind/vhistfindhellomessage.cpp \
    shared/argfilehighlighter.cpp \
    shared/findtextbrowser/findbar.cpp \
    shared/findtextbrowser/findedit.cpp \
    shared/findtextbrowser/findtextbrowser.cpp \
    shared/findtextbrowser/searchhighlighter.cpp

RESOURCES += \
    unvhist/unvhist.qrc \
    vhistez/vhistez.qrc
